<?php
session_start();
include '../includes/config.php';
include '../includes/functions.php';

if (isAdminLoggedIn()) {
    header('Location: index.php');
    exit();
}

$error_message = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['username'] ?? '';
    $password = $_POST['password'] ?? '';

    if ($username === 'xingyun') {
        $conn = dbConnect();
        $result = $conn->query("SELECT * FROM admin_users WHERE username = 'xingyun'");

        if ($result && $result->num_rows > 0) {
            $admin = $result->fetch_assoc();
            if (password_verify($password, $admin['password'])) {
                $_SESSION['admin_id'] = $admin['id'];
                header('Location: index.php');
                exit();
            }
        }
    }
    $error_message = '用户名或密码错误';
}
?>

<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>星云-APP下载页后台管理系统</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', 'system-ui', sans-serif;
        }
        
        body {
            background: linear-gradient(135deg, #1a2a6c, #b21f1f, #fdbb2d);
            background-size: 400% 400%;
            animation: gradientBG 15s ease infinite;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            overflow: hidden;
        }
        
        body::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.1);
            z-index: 0;
        }
        
        @keyframes gradientBG {
            0% {
                background-position: 0% 50%;
            }
            50% {
                background-position: 100% 50%;
            }
            100% {
                background-position: 0% 50%;
            }
        }
        
        .particle {
            position: absolute;
            background-color: rgba(255, 255, 255, 0.2);
            border-radius: 50%;
            animation: float 10s infinite ease-in-out;
        }
        
        @keyframes float {
            0%, 100% {
                transform: translateY(0) translateX(0);
                opacity: 0;
            }
            50% {
                opacity: 0.8;
            }
        }
        
        .login-container {
            background: rgba(255, 255, 255, 0.95);
            padding: 40px;
            border-radius: 12px;
            box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
            width: 100%;
            max-width: 400px;
            z-index: 1;
            backdrop-filter: blur(10px);
        }
        
        .login-header {
            text-align: center;
            margin-bottom: 30px;
        }
        
        .login-header h2 {
            color: #333;
            font-size: 24px;
            margin-bottom: 10px;
        }
        
        .login-header p {
            color: #666;
            font-size: 14px;
        }
        
        .form-group {
            margin-bottom: 20px;
            position: relative;
        }
        
        .form-group label {
            display: block;
            margin-bottom: 8px;
            color: #555;
            font-size: 14px;
        }
        
        .form-group input {
            width: 100%;
            padding: 12px 15px;
            border: 1px solid #ddd;
            border-radius: 8px;
            font-size: 16px;
            transition: all 0.3s ease;
            background-color: #f9f9f9;
        }
        
        .form-group input:focus {
            outline: none;
            border-color: #4a6cf7;
            box-shadow: 0 0 0 3px rgba(74, 108, 247, 0.2);
        }
        
        .login-btn {
            background: linear-gradient(90deg, #4a6cf7, #6a3ef7);
            color: white;
            border: none;
            padding: 12px 0;
            border-radius: 8px;
            font-size: 16px;
            cursor: pointer;
            width: 100%;
            transition: all 0.3s ease;
            font-weight: 600;
        }
        
        .login-btn:hover {
            background: linear-gradient(90deg, #3a5bd9, #5a35d9);
            transform: translateY(-2px);
            box-shadow: 0 5px 15px rgba(74, 108, 247, 0.4);
        }
        
        .login-btn:active {
            transform: translateY(0);
        }
        
        .alert {
            padding: 15px;
            margin-bottom: 20px;
            border-radius: 8px;
            text-align: center;
            font-size: 14px;
            animation: fadeIn 0.5s ease-out;
        }
        
        .alert-danger {
            background-color: #ffebee;
            color: #c62828;
            border: 1px solid #fdd8d8;
        }
        
        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }
        
        .loading {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.9);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
            opacity: 0;
            visibility: hidden;
            transition: all 0.3s ease;
        }
        
        .loading.active {
            opacity: 1;
            visibility: visible;
        }
        
        .loading-spinner {
            width: 50px;
            height: 50px;
            border: 5px solid rgba(74, 108, 247, 0.2);
            border-radius: 50%;
            border-top-color: #4a6cf7;
            animation: spin 1s ease-in-out infinite;
        }
        
        @keyframes spin {
            to { transform: rotate(360deg); }
        }
        
        /* 自适应设计 */
        @media (max-width: 768px) {
            .login-container {
                padding: 30px 20px;
                max-width: 350px;
            }
            
            .form-group input {
                padding: 10px 12px;
                font-size: 15px;
            }
            
            .login-btn {
                padding: 10px 0;
                font-size: 15px;
            }
        }
        
        @media (max-width: 480px) {
            .login-container {
                padding: 25px 15px;
                max-width: 300px;
            }
            
            .login-header h2 {
                font-size: 20px;
                margin-bottom: 8px;
            }
            
            .form-group input {
                padding: 9px 10px;
                font-size: 14px;
            }
            
            .login-btn {
                padding: 9px 0;
                font-size: 14px;
            }
        }
        
        @media (max-width: 320px) {
            .login-container {
                padding: 20px 15px;
            }
            
            .login-header h2 {
                font-size: 18px;
            }
            
            .login-header p {
                font-size: 13px;
            }
            
            .form-group input {
                padding: 8px 9px;
                font-size: 13px;
            }
            
            .login-btn {
                padding: 8px 0;
                font-size: 13px;
            }
        }
    </style>
</head>
<body>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const body = document.body;
            
            for (let i = 0; i < 20; i++) {
                const particle = document.createElement('div');
                particle.classList.add('particle');
                
                const size = Math.random() * 15 + 5;
                const delay = Math.random() * 10;
                const duration = Math.random() * 8 + 8;
                
                particle.style.width = `${size}px`;
                particle.style.height = `${size}px`;
                particle.style.left = `${Math.random() * 100}%`;
                particle.style.top = `${Math.random() * 100}%`;
                particle.style.animationDelay = `${delay}s`;
                particle.style.animationDuration = `${duration}s`;
                
                body.appendChild(particle);
            }
        });
    </script>
    
    <div class="loading" id="loading">
        <div class="loading-spinner"></div>
    </div>
    
    <div class="login-container">
        <div class="login-header">
            <h2>星云-APP下载页后台管理系统</h2>
        </div>
        
        <?php if ($error_message): ?>
        <div class="alert alert-danger"><?= $error_message ?></div>
        <?php endif; ?>
        
        <form method="POST" onsubmit="showLoading()">
            <div class="form-group">
                <label for="username">用户名</label>
                <input type="text" id="username" name="username" required>
            </div>
            <div class="form-group">
                <label for="password">密码</label>
                <input type="password" id="password" name="password" required>
            </div>
            <button type="submit" class="login-btn">登录</button>
        </form>
    </div>
    
    <script>
        function showLoading() {
            document.getElementById('loading').classList.add('active');
            return true;
        }
        
        document.addEventListener('submit', function(e) {
            setTimeout(function() {
                document.getElementById('loading').classList.remove('active');
            }, 1500);
        });
    </script>
</body>
</html>
