<?php
function isAdminLoggedIn() {
    return isset($_SESSION['admin_id']);
}

function getSystemInfo() {
    $systemInfo = [
        'server_software' => $_SERVER['SERVER_SOFTWARE'] ?? '未知',
        'php_version' => PHP_VERSION,
        'mysql_version' => mysqli_get_client_info()
    ];
    return $systemInfo;
}

function getDownloadStats() {
    $conn = dbConnect();
    $result = $conn->query("SELECT COUNT(*) AS total FROM download_stats");
    return $result ? $result->fetch_assoc()['total'] : 0;
}

function getAppConfig() {
    $conn = dbConnect();
    $result = $conn->query("SELECT * FROM app_config LIMIT 1");
    return $result && $result->num_rows > 0 ? $result->fetch_assoc() : [];
}

function updateAppConfig($data) {
    $conn = dbConnect();
    
    if (!empty($_FILES['app_logo']['tmp_name'])) {
        $uploadDir = $_SERVER['DOCUMENT_ROOT'] . '/xingyun/assets/uploads/';
        $uploadFile = $uploadDir . basename($_FILES['app_logo']['name']);
        move_uploaded_file($_FILES['app_logo']['tmp_name'], $uploadFile);
        $data['app_logo'] = '/xingyun/assets/uploads/' . basename($_FILES['app_logo']['name']);
    }
    
    if (!empty($_FILES['app_download_file']['tmp_name'])) {
        $uploadDir = $_SERVER['DOCUMENT_ROOT'] . '/xingyun/assets/uploads/';
        $uploadFile = $uploadDir . basename($_FILES['app_download_file']['name']);
        move_uploaded_file($_FILES['app_download_file']['tmp_name'], $uploadFile);
        $data['app_download_file'] = '/xingyun/assets/uploads/' . basename($_FILES['app_download_file']['name']);
    }
    
    $fields = [];
    foreach ($data as $key => $value) {
        $fields[] = "`$key` = '" . $conn->real_escape_string($value) . "'";
    }
    
    return $conn->query("UPDATE app_config SET " . implode(', ', $fields) . " WHERE id = 1");
}

function updateAdminPassword($current_password, $new_password) {
    $conn = dbConnect();
    $result = $conn->query("SELECT * FROM admin_users WHERE username = 'xingyun'");
    
    if ($result && $result->num_rows > 0) {
        $admin = $result->fetch_assoc();
        if (password_verify($current_password, $admin['password'])) {
            $hashed_password = password_hash($new_password, PASSWORD_DEFAULT);
            return $conn->query("UPDATE admin_users SET password = '$hashed_password' WHERE username = 'xingyun'");
        }
    }
    return false;
}
